export interface DummyGrade {
    id: number;
    student_id: number;
    course_id: number;
    assignment_id: number;
    score: number;
    grade: string;
    submitted_at: string;
    graded_at: string;
}

export interface DummyGradeResponse {
    success: boolean;
    message: string;
    data: {
        grades?: DummyGrade[];
        id?: number;
        student_id?: number;
        course_id?: number;
        assignment_id?: number;
        score?: number;
        grade?: string;
        submitted_at?: string;
        graded_at?: string;
    };
}

export interface DummyGradeCreateBody {
    student_id: number;
    course_id: number;
    assignment_id: number;
    score: number;
}

export interface DummyGradeUpdateParams {
    id: number;
    student_id: number;
    course_id: number;
    assignment_id: number;
    score: number;
    submitted_at?: string;
}

export interface DummyGradeDeleteParams {
    id: number;
} 