import BorderSpinner from './BorderSpinner';

const LoadingPage = ({ height = 200, fullScreen = true }) => {
  return (
    <div
      className={`flex items-center justify-center ${fullScreen ? 'h-screen' : ''}`}
      style={!fullScreen ? { height: height } : undefined}
    >
      <div className=''>
        <BorderSpinner />
      </div>
    </div>
  );
};

export default LoadingPage;
